com.rscja.deviceapi.interfaces

## Interface IRFIDBase

- All Known Subinterfaces:
    IRFIDWithISO14443A, IRFIDWithISO14443A4CPU, IRFIDWithISO14443B, IRFIDWithISO15693
  All Known Implementing Classes:
    RFIDBase, RFIDBase_mtk, RFIDBase_qcom, RFIDWithISO14443A, RFIDWithISO14443A_mtk, RFIDWithISO14443A_qcom, RFIDWithISO14443A4CPU, RFIDWithISO14443A4CPU_mtk, RFIDWithISO14443A4CPU_qcom, RFIDWithISO14443B, RFIDWithISO14443B_mtk, RFIDWithISO14443B_qcom, RFIDWithISO15693, RFIDWithISO15693_mtk, RFIDWithISO15693_qcom

      public interface IRFIDBase

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `free()` 释放rfid模块 Release RFID module
    `java.lang.String` | `getVersion()` 获取rfid 版本信息 Acquire RFID version infor
    `boolean` | `init()` 初始化rfid模块 initialize RFID module
    `boolean` | `init(boolean isRfOff)`
    `boolean` | `isPowerOn()`
    `boolean` | `rfidUpgrade(int packageCount, int index, int currSize, byte[] data)` 固件升级 firmware upgrade

- - ### Method Detail

    - #### init

          boolean init()

      初始化rfid模块
      initialize RFID module
      Returns:
        true成功，false失败

    - #### init

          boolean init(boolean isRfOff)

    - #### free

          boolean free()

      释放rfid模块
      Release RFID module
      Returns:
        true成功，false失败
        true success, false failure

    - #### getVersion

          java.lang.String getVersion()

      获取rfid 版本信息
      Acquire RFID version infor
      Returns:
        返回版本信息，null为失败
        return version infor, null is failure

    - #### rfidUpgrade

          boolean rfidUpgrade(int packageCount,
                              int index,
                              int currSize,
                              byte[] data)

      固件升级
      firmware upgrade
      Parameters:
        `packageCount` - 包的数量
        package amount
        `index` - 当前为第几个包
        current package
        `currSize` - 当前包大小
        current package size
        `data` - 包数据
        package data
      Returns:
        true成功，false失败
        true success, false failure

    - #### isPowerOn

          boolean isPowerOn()